<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE plugin SYSTEM "jnode.dtd">

<fragment id="org.classpath.tools"
  name="Core java tools"
  version="@VERSION@"
  plugin-id="rt"
  plugin-version="@VERSION@"
  provider-name="Classpath"
  provider-url="http://classpath.org"
  license-name="classpath">

  <runtime>
    <library name="classlib.jar">
      <export name="gnu.classpath.tools.*"/>
      <export name="gnu.classpath.tools.common.*"/>
      <export name="gnu.classpath.tools.getopt.*"/>
      <export name="gnu.classpath.tools.jar.*"/>
      <export name="gnu.classpath.tools.native2ascii.*"/>
      <export name="gnu.classpath.tools.rmid.*"/>
      <export name="gnu.classpath.tools.rmiregistry.*"/>
      <export name="gnu.classpath.tools.serialver.*"/>
    </library>
  </runtime>

  <extension point="org.jnode.shell.aliases">
    <alias name="native2ascii" class="gnu.classpath.tools.native2ascii.Native2ASCII"/>
    <alias name="rmid" class="gnu.classpath.tools.rmid.Main"/>
    <alias name="rmiregistry" class="gnu.classpath.tools.rmiregistry.Main"/>
    <alias name="serialver" class="gnu.classpath.tools.serialver.SerialVer"/>
  </extension>
  
  <extension point="org.jnode.security.permissions">
      <permission class="java.lang.RuntimePermission" name="getProtectionDomain"/>
      <permission class="java.lang.RuntimePermission" name="createClassLoader"/>
      <permission class="java.lang.RuntimePermission" name="setContextClassLoader"/>
      <permission class="java.lang.RuntimePermission" name="modifyThreadGroup"/>
      <permission class="java.io.FilePermission" name="&lt;&lt;ALL FILES&gt;&gt;" actions="read,write"/>
      <permission class="org.jnode.security.JNodePermission" name="getVmThread"/>
      <permission class="org.jnode.security.JNodePermission" name="getVmClass"/>
      <permission class="java.net.SocketPermission" name="*" actions="resolve"/>
      <permission class="java.net.SocketPermission" name="*:0-" actions="connect,resolve"/>
      <permission class="java.lang.RuntimePermission" name="writeFileDescriptor"/>
      <permission class="java.lang.RuntimePermission" name="readFileDescriptor"/>
  </extension>       
</fragment>
